View Issue Details

IDProjectCategoryView StatusLast Update
0000165BirdFont[All Projects] BirdFontpublic2019-07-07 14:39
ReporterunsquareAssigned Tojohan 
PrioritynoneSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
PlatformwindowsOS10OS Version10.0.18362
Product Version 
Target VersionFixed in Version 
Summary0000165: More Opentype Features tables?
DescriptionHi,

There are many open type features available and only a handful available in birdfont:
https://www.typotheque.com/articles/opentype_features_in_css#ssxx

Will you be adding support for more and if when do you reckon that might come to fruition?

Best Regards,
Łukasz
TagsNo tags attached.

Activities

johan

2019-05-29 23:48

administrator   ~0000651

Thank you for the report. I am not working on this right now but I might be able to find time to do that in a few weeks. Which tables should I begin with? What do you need?

unsquare

2019-06-03 14:45

reporter   ~0000652

I would like to use stylistic sets ss01-ss06 - at least 3 of those.

And while I got you on the line, I have two side questions:
- will you support other color font formats? - especially COLR and CBDT, as that would allow full support for color webfonts.
- Do you know if there is possibility to add one dynamic color in color fonts, to change in the final output? - like black is changed in the monochrome fonts

Thanks,
Luke

johan

2019-06-03 15:23

administrator   ~0000653

Yes, I am working on supporting the COLR table but it will take a while before I can release it. When everything is finished will the designer be able to provide several color pallets for the font. I am not sure if that feature will landed in the first implementation and I am also not sure how widely supported that feature is. Integration of the CPAL table with the SVG table is also on my todo list but it will not be finished in the upcoming months. I have not started working on the CBDT table yet (I like vector graphics) but I agree that it would be a nice feature.

I will add support for the ssxx lookup in the next release if I find the time to get it done.

johan

2019-06-03 16:57

administrator   ~0000654

Hi. OTF feature tags ss01 – ss20 will be added to Birdfont version 3.24. I have sent you that version via e-mail. Can you test it for me? You can find the new feature in the glyph substitution tab, see the attached screenshot.

johan

2019-06-05 17:46

administrator   ~0000655

Thank you for the testing. Please add more requests when you (or any one else using this program) want to use other OTF substitutions.

johan

2019-06-27 17:58

administrator   ~0000665

Hi. I have written code for the COLR/CPAL format. Would you like to test the development version? It will take a while before I can release it but some testing could help. There is a way to set the color of a path to whatever the user want as the default color.
Cheers

johan

2019-07-07 14:38

administrator   ~0000666

Hi. Version 3.26.0 has been released. It has support COLR/CPAL tables. You can also select a color as the foreground color of your glyphs.

Issue History

Date Modified Username Field Change
2019-05-29 23:41 unsquare New Issue
2019-05-29 23:48 johan Note Added: 0000651
2019-06-03 14:45 unsquare Note Added: 0000652
2019-06-03 15:23 johan Note Added: 0000653
2019-06-03 16:57 johan File Added: Birdfont 2019-06-03 16_35_05.png
2019-06-03 16:57 johan Note Added: 0000654
2019-06-05 17:46 johan Note Added: 0000655
2019-06-27 17:58 johan Note Added: 0000665
2019-07-07 14:38 johan Note Added: 0000666
2019-07-07 14:39 johan Assigned To => johan
2019-07-07 14:39 johan Status new => resolved
2019-07-07 14:39 johan Resolution open => fixed